interface ChallengeYaml {
  version: number;
  name: string;
  label: string;
  description: string;
  level:
    | 'Jajarbinks' // le plus facile
    | 'Ewok'
    | 'Padawan'
    | 'Jedi'
    | 'Master'; // le plus difficile
  type: 'DESKTOP';
  xp: Map<string, number>;
  desktop: {
    scripts: MissionCommand[];
  };
}

export interface MissionCommand {
  name: string;
  command: string;
  description?: string;
}

export default ChallengeYaml;
