import { Command as VscodeComand } from 'vscode';

export class Command {
  constructor(private _title: string, private command: string) {}

  get title() {
    return this._title;
  }

  get cmd() {
    return this.command;
  }

  asVsCodeCommand(): VscodeComand {
    return { title: this.title, command: this.cmd };
  }
}

export const openBriefingCommand = new Command('Open Briefing', 'deadlock.openBriefing');
export const openQuickSetupCommand = new Command('Open Deadlock quick setup page', 'deadlock.openQuickSetup');
