import UserConfig from '../core/userConfig';

import { USER_CHALLENGE_PATH } from '../core/config';
import { Uri, workspace } from 'vscode';

export default class UserConfigTheia extends UserConfig {
  async loadText(): Promise<string> {
    const textDocument = await workspace.openTextDocument(Uri.parse(USER_CHALLENGE_PATH));
    return Promise.resolve(textDocument.getText());
  }
}
